oracle.xml.parser.v2

## Class oraxml

- java.lang.Object
- - oracle.xml.parser.v2.oraxml

    public class oraxml
    extends java.lang.Object

The oraxml class provides a command-line interface to validate XML files

         java oracle.xml.parser.v2.oraxml options* <filename>
         -help                    Prints the help message
         -version                 Prints the release version
         -novalidate              Parses the input file to check for well-formedness
         -dtd                     Validates the input file with DTD validation
         -schema                  Validates the input file with Schema validation
         -log <logfile>            Writes the errors/logs to the output file
         -comp                    Compresses the input xml file
         -decomp                  Decompresses the input compressed file
         -enc                     Prints the encoding of the input file
         -warning                 Show warnings

### Constructor Summary

Constructors
Constructor and Description
`oraxml()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### oraxml

    public oraxml()

### Method Detail

#### main

    public static void main(java.lang.String[] args)

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.